XML Standard API: Class DatatypeConfigurationException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.datatype
Class DatatypeConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.datatype.DatatypeConfigurationException

All Implemented Interfaces:
  java.io.Serializable

public class DatatypeConfigurationException
extends java.lang.Exception

Indicates a serious configuration error.

Since:
  1.5
Version:
  $Revision: 569987 $, $Date: 2007-08-27 00:08:46 -0400 (Mon, 27 Aug 2007) $
Author:
  Jeff Suttor
See Also:
  Serialized Form

Constructor Summary
`DatatypeConfigurationException()` Create a new `DatatypeConfigurationException` with no specified detail message and cause.
`DatatypeConfigurationException(java.lang.String message)` Create a new `DatatypeConfigurationException` with the specified detail message.
`DatatypeConfigurationException(java.lang.String message, java.lang.Throwable cause)` Create a new `DatatypeConfigurationException` with the specified detail message and cause.
`DatatypeConfigurationException(java.lang.Throwable cause)` Create a new `DatatypeConfigurationException` with the specified cause.

Method Summary
`void` | `printStackTrace()` Print the the trace of methods from where the error originated.
`void` | `printStackTrace(java.io.PrintStream s)` Print the the trace of methods from where the error originated.
`void` | `printStackTrace(java.io.PrintWriter s)` Print the the trace of methods from where the error originated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatatypeConfigurationException

    public DatatypeConfigurationException()

  Create a new `DatatypeConfigurationException` with no specified detail message and cause.

### DatatypeConfigurationException

    public DatatypeConfigurationException(java.lang.String message)

  Create a new `DatatypeConfigurationException` with the specified detail message.

  Parameters:
    `message` - The detail message.

### DatatypeConfigurationException

    public DatatypeConfigurationException(java.lang.String message,
                                          java.lang.Throwable cause)

  Create a new `DatatypeConfigurationException` with the specified detail message and cause.

  Parameters:
    `message` - The detail message.
    `cause` - The cause. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

### DatatypeConfigurationException

    public DatatypeConfigurationException(java.lang.Throwable cause)

  Create a new `DatatypeConfigurationException` with the specified cause.

  Parameters:
    `cause` - The cause. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

Method Detail

### printStackTrace

    public void printStackTrace()

  Print the the trace of methods from where the error originated. This will trace all nested exception objects, as well as this object.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Print the the trace of methods from where the error originated. This will trace all nested exception objects, as well as this object.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - The stream where the dump will be sent to.

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Print the the trace of methods from where the error originated. This will trace all nested exception objects, as well as this object.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - The writer where the dump will be sent to.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.